# Generated by Django 5.0.6 on 2024-05-29 13:41

import django.db.models.deletion
from django.db import migrations, models


class Migration(migrations.Migration):

    dependencies = [
        ('residents_data', '0027_remove_flat_electricity_number_and_more'),
    ]

    operations = [
        migrations.RemoveField(
            model_name='meter',
            name='electricity_number',
        ),
        migrations.RemoveField(
            model_name='meter',
            name='heat_number',
        ),
        migrations.RemoveField(
            model_name='meter',
            name='water_number',
        ),
        migrations.AddField(
            model_name='flat',
            name='electricity_number',
            field=models.IntegerField(blank=True, null=True, verbose_name='Ел/лічильник №'),
        ),
        migrations.AddField(
            model_name='flat',
            name='heat_number',
            field=models.IntegerField(blank=True, null=True, verbose_name='Теплолічильник №'),
        ),
        migrations.AddField(
            model_name='flat',
            name='water_number',
            field=models.IntegerField(blank=True, null=True, verbose_name='Водомір №'),
        ),
        migrations.AlterField(
            model_name='meter',
            name='flat',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='flat', to='residents_data.flat'),
        ),
    ]
